# Dotdrop
alias dotdrop="$HOME/etc/dotdrop.sh" --cfg="$HOME/etc/config.yaml"

# zmv
alias zcp='zmv -C'
alias zln='zmv -L'

# APT
alias aptu='sudo apt-get update'
alias aptn='sudo apt-get update && sudo apt-get dist-upgrade'
alias apti='sudo apt-get install'
alias aptp='sudo apt-get purge'
alias aptr='sudo apt-get remove'
alias aptc='sudo apt-get --purge autoremove'
alias aptk='sudo apt-key add'
alias apts='apt-cache show'
aptf() {
	[ -z $1 ] && return 1
	if [ -z $2 ]; then
		apt-cache search $1
	else
		apt-cache search $1 | grep $2
	fi
}
aptl() {
	[ -z $1 ] && return 1
	sudo apt-get purge linux-modules-extra-"$1".* linux-modules-"$1".* linux-tools-"$1".* \
	                   linux-image-"$1".* linux-image-unsigned-"$1".* linux-headers-"$1".*
}

# VIM
alias gvim='gvim --remote-silent'

# Youtube
YDL="$HOME/bin/youtube-dl"
[ ! -x "$YDL" ] && YDL="$(which youtube-dl)"
if [ -x "$YDL" ]; then
	alias ydlbest="youtube-dl --merge-output-format mkv -f 'bestvideo+bestaudio'"
	alias ydl="youtube-dl --merge-output-format mkv"
fi

# feh
alias feh="feh --cache-size 256 --version-sort --sort filename --image-bg black"

# git
alias gpa="git remote | xargs -L1 git push --all"
alias gu="git pull"
alias gur="git pull --recurse-submodules"
alias gsui="git submodule update --recursive --init"
alias gsur="git submodule update --recursive --init --remote"

# Фильтры
alias -g G="| grep"
alias -g L="| less"
alias -g NN='&>/dev/null'

