export XDG_CONFIG_HOME=$HOME/.config
export XDG_CACHE_HOME=$HOME/.cache
export XDG_DATA_HOME=$HOME/.local/share

declare -A ZINIT
ZINIT[HOME_DIR]=$XDG_CACHE_HOME/zsh/zinit
ZINIT[PLUGINS_DIR]=$XDG_CACHE_HOME/zsh/plugins
ZINIT[SNIPPETS_DIR]=$XDG_CACHE_HOME/zsh/snippets
ZINIT[ZCOMPDUMP_PATH]=$XDG_CACHE_HOME/zsh/zcompdump

ZPFX=$XDG_CACHE_HOME/zsh/polaris

export PATH=$HOME/bin:$HOME/.local/bin:$PATH
# Удалить дубликаты в PATH
typeset -U PATH

export GNUPGHOME=$HOME/.config/gnupg
export SVDIR=$HOME/sv

# Настройка uncrustify
UNCRUSTIFY_CONFIG="${XDG_CONFIG_HOME}/uncrustify/default.cfg"
[ -e "${UNCRUSTIFY_CONFIG}" ] && export UNCRUSTIFY_CONFIG

# Настройка Intel Studio
if [ ! -z ${ENABLE_INTEL_STUDIO+x} ]; then
	#export COMPILERVARS_ARCHITECTURE=intel64
	#export COMPILERVARS_PLATFORM=linux
	#/opt/intel/bin/iccvars.sh
	INTEL_VARS=( /opt/intel/advisor/advixe-vars.sh
	             /opt/intel/inspector/inspxe-vars.sh
	             /opt/intel/vtune_profiler/vtune-vars.sh )

	for f in ${INTEL_VARS[*]}; do
		[ -e "$f" ] && source "$f" > /dev/null
	done
fi

